<?php		
	if (!get_query_var('paged')) {	
?>

<?php		

	$custom_query_args = array( 
	    'posts_per_page' => 4,
	    'ignore_sticky_posts' => 1,
		'meta_query' => array(
                array(
                'key' => 'enjoynow-featured',
                'value' => 'yes'
        )
    )
	);  

	global $wp_query;

	$merged_query_args = array_merge( $wp_query->query, $custom_query_args );

	query_posts( $merged_query_args );		

	if ( $wp_query->have_posts() && (!get_query_var('paged')) ) {	

?>

<div id="featured-content">

	<ul class="bxslider">	

	<?php
		// The Loop
		while ( $wp_query->have_posts() ) : $wp_query->the_post();
	?>	

	<li class="featured-slide hentry">

		<a class="thumbnail-link" href="<?php the_permalink(); ?>">
			
			<div class="thumbnail-wrap">
				<?php 
				if ( has_post_thumbnail() ) {
					the_post_thumbnail('enjoynow_featured_thumb');  
				} else {
					echo '<img src="' . esc_url( get_template_directory_uri() ). '/assets/img/no-featured.png" alt="" />';
				}
				?>
			</div><!-- .thumbnail-wrap -->
			<div class="gradient">
			</div>
		</a>

		<div class="entry-header clear">
			<div class="entry-category">
				<?php enjoynow_first_category(); ?>
			</div>			
			<h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
		</div><!-- .entry-header -->

	</li><!-- .featured-slide .hentry -->

	<?php
		endwhile;
	?>

	</ul><!-- .bxslider -->

	<?php
		dynamic_sidebar('featured-ad');
	?>
	
	</div><!-- #featured-content -->

	<?php
		}
	?>

	<?php
		wp_reset_postdata();	
		wp_reset_query();			
	?>

<?php } ?>			